kubuntu 9.04 kde4.3 beta kdenlive compiled!

I HAVE TRIED THIS ON VIRTUAL BOX with a CLEAN KUBUNTU 9.04 , SO PLEASE DON'T TRY THIS ON YOUR COMPUTER... IT SHOULD WORK BUT IF YOU FUCK Oof your computer ... i don't know nothing..

-)make sure you have medibuntu repository :

cat /etc/apt/sources.list.d/medibuntu.list

must give :

## Please report any bug on https://bugs.launchpad.net/medibuntu/
deb http://packages.medibuntu.org/ jaunty free non-free #Medibuntu - Ubuntu 9.04 "jaunty jackalope"
deb-src http://packages.medibuntu.org/ jaunty free non-free #Medibuntu (source) - Ubuntu 9.04 "jaunty jackalope"

make sure you have ALL REPOSITORY ON!see the picture.

http://www.kdenlive.org/packagtepng

-) Remove old kdenlive stuff.

sudo apt-get remove kdenlive libmlt-data libmlt++1 kdenlive-data

install dev stuff.

sudo apt-get install subversion libqt4-dev kdelibs5-dev libsdl1.2-dev libdv4 libdv-dev x264 libx264-65 libx264-dev libtheora-dev libtheora0 libogg0 libogg-dev libvorbis0a libvorbis-dev libmp3lame-dev libmp3lame0 libschroedinger-1.0-0 libschroedinger-dev libquicktime1 libquicktime-dev libfaac0 libfaac-dev libfaad2-0 libfaad-dev libgsm1 libgsm1-dev libamrnb3 libamrwb-dev libamrwb3 libamrnb-dev libdirac-dev libxvidcore-dev libdc1394-22-dev libjack-dev sox libsox1 libsox-dev ladspa-sdk libmad0-dev gdk-imlib gdk-imlib-dev libpango1.0-dev libsamplerate0-dev yasm imagemagick cdbs libiodbc2-dev qt4-dev-tools gnutls-bin guile-gnutls esound libdv-bin cvs dh-make g++-multilib g++-4.3-multilib git libgtk2.0-dev libavformat-dev libavutil49 libquicktime-dev libsox-dev git-core frei0r-plugins frei0r-plugins-dev doxygen ffmpeg libavdevice-dev libavdevice52 libgif-dev libimlib2 libimlib2-dev libltdl7-dev libpostproc51 libspeex-dev libswscale-dev libtiff4-dev libtiffxx0c2 libtool libxv-dev libxvmc-dev texi2html x11proto-video-dev

only now try to type this on konsole:

sudo apt-get build-dep mlt ffmpeg

if you get some error on sudo apt-get buil-deb there is some packages that are missing...

now download the stuff

svn co https://kdenlive.svn.sourceforge.net/svnroot/kdenlive/trunk/kdenlive
git clone git://mltframework.org/mlt.git

cd mlt && ./configure --prefix=/usr --enable-gpl --qimage-libdir=/usr/lib/ --qimage-includedir=/usr/include/qt4 --avformat-swscale
make
sudo make install

cd ..
cd kdenlive
mkdir build; cd build; cmake .. -DCMAKE_INSTALL_PREFIX=/usr; make
sudo make install

now check for ffmpeg

ffmpeg -formats 2>&1 | grep aac[/code]

you should get :

D aac raw ADTS AAC
D A aac Advanced Audio Coding
EA libfaac libfaac AAC (Advanced Audio Codec)

if you don't get this then install :

sudo apt-get install libavformat-unstripped-52

and then the other unstripped packages

so

sudo apt-get install ffmpeg libavdevice-unstripped-52 libavformat-unstripped-52 libavutil-unstripped-49 libpostproc-unstripped-51 libswscale-unstripped-0

NOTE WHEN YOU RECOMPILE YOU HAVE TO REINSTALL DEV PACKAGE BECASUE WHEN YOU INSTALL FFMPEG AND UNSTRIPPED STUFF SOME PACKAGES GET REMOVED...